Subject: bug#46186: Some substitutes are broken (TLS error)

From: Ludovic Courtès <[email-masked]>
Date: Sun, 07 Feb 2021 22:12:56 +0100

Hi,

Maxime Devos <[email-masked]> skribis:

> When running "guix package -u libreoffice", substituting libreoffice
> is fast at first, then it hangs at ~50%, then after a while it seems
> to get unstuck, going to 50.6% or so (the exact percentage varies
> with each attempt).
>
> Output of "guix package -u libreoffice":
>
> The following package will be upgraded:
>    libreoffice (dependencies or package changed)
> substitute: guix substitute: warning: twinkling-star.local: host not found: System error
> downloading from https://ci.guix.gnu.org/nar/lzip/hrdzapsn1sxsybl1x2yfjj31lp84wi4s-libreoffice-6.4.7.2 ...
>  libreoffice-6.4.7.2  117.1MiB                                 2.5MiB/s 00:23 [########          ]  50.0%
>  libreoffice-6.4.7.2  117.1MiB                                 486KiB/s 02:08 [#########         ]  51.8%
>
>
> This time, it seems like "guix package -u libreoffice" is just going on
> forever, but in the past, I've got the following error message:
>
> guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error decoding the received TLS packet.
> substitution of /gnu/store/hrdzapsn1sxsybl1x2yfjj31lp84wi4s-libreoffice-6.4.7.2 failed
> guix package: error: some substitutes for the outputs of derivation `/gnu/store/h53qbz8hnam2nd99byi4kzwy20fjy0pz-libreoffice-6.4.7.2.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source 

This could related to <https://issues.guix.gnu.org/46330>.

Is it still happening, consistently?  Or did you eventually manage to
download that substitute?

> To reproduce:
> guix time-machine --commit=23a5dcce1d893b8f5c5301ae3c1af863776ed3cf \
>   build libreoffice

I tried just in case but couldn’t reproduce it.  What matters here is
the guix-daemon in use (which store item?), but I suspect it’s
non-deterministic anyway.

Thanks,
Ludo’.